package com.zanxiang.game.data.serve.service.impl;

import com.zanxiang.game.data.serve.pojo.dto.AdsAgentRechargeRankingListDTO;
import com.zanxiang.game.data.serve.pojo.entity.AdsAgentRechargeRanking;
import com.zanxiang.game.data.serve.pojo.vo.AdsAgentRechargeRankingVO;
import com.zanxiang.game.data.serve.service.IAdsAgentRechargeRankingService;
import com.zanxiang.game.data.serve.utils.Page;
import com.zanxiang.module.util.bean.BeanUtil;
import lombok.extern.slf4j.Slf4j;
import org.nutz.dao.Dao;
import org.nutz.dao.pager.Pager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class AdsAgentRechargeRankingServiceImpl implements IAdsAgentRechargeRankingService {

    @Autowired
    private Dao dao;

    private Page<AdsAgentRechargeRankingVO> list(AdsAgentRechargeRankingListDTO dto) {
        Pager pager = dto.toPage();
        String sql = """
                select * from ads_agent_recharge_ranking
                group by 
                """;
        return null;
    }

    private AdsAgentRechargeRankingVO toVO(AdsAgentRechargeRanking agentRechargeRanking) {
        if (agentRechargeRanking == null) {
            return null;
        }
        return BeanUtil.copy(agentRechargeRanking, AdsAgentRechargeRankingVO.class);
    }
}
